Description

Related issues:

related to Core - Task # 55573: Failing moveContentRecordToDifferentPageAndCh... Resolved 2014-02-02
related to Core - Task # 56393: creation on new pages have broken permissions... Resolved 2014-02-27

Associated revisions

Revision 092b8d0f - 2014-02-07 09:59 - Oliver Hader

[TASK] Add functional test cases to DataHandler (workspace)

In addition to the functional test cases for data handling in
live, these test cases re-use the test scenarios to check the

behaviour in a particular workspace.

The current assertions only check the current behaviour. Parts
that are identified as faults are marked out with the ignore
operator "\*" in the CSV files.

Thus, these tests shall be used to compare the current state
with the target state in combination with accordant bug-fixes

for workspace data handling.

Resolves: #55563

Releases: 6.2

Change-Id: 15e35f0f450093416e5165fc399da3b454715a5d7
Reviewed-on: https://review.typo3.org/27241

Reviewed-by: Peter Kuehn
Tested-by: Peter Kuehn
Reviewed-by: Jigal van Hemert
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

History

#1 - 2014-02-01 19:54 - Gerrit Code Review
https://review.typo3.org/27241

- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27241

#2 - 2014-02-02 10:26 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27241

#3 - 2014-02-02 12:14 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27241

#4 - 2014-02-02 14:37 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27241

#5 - 2014-02-02 16:01 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27241

#6 - 2014-02-03 11:56 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0org/27241

#7 - 2014-02-07 10:30 - Oliver Hader
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:092b8d0f13d78b700204bf1c46a55588634410ae.
